Create Spec Architecture
curl --request POST \
--url https://api.example.com/api/v1/specs/{spec_id}/architecture \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"global_description": "<string>",
"title": "<string>",
"breaking_change_flag": false,
"diagrams": [
{
"title": "<string>",
"adapter_payload": {},
"adapter_payload_ref": "<string>",
"content_hash": "<string>",
"description": "<string>",
"diagram_type": "other",
"format": "raw",
"id": "<string>",
"order_index": 0,
"preview_ref": "<string>",
"render_metadata": {},
"size_bytes": 123,
"source_diagram_id": "<string>",
"source_payload_ref": "<string>"
}
],
"entities": [
{
"name": "<string>",
"boundaries": "<string>",
"entity_type": "<string>",
"id": "<string>",
"notes": "<string>",
"relationships": [
"<string>"
],
"responsibility": "<string>",
"technologies": [
"<string>"
]
}
],
"interfaces": [
{
"name": "<string>",
"contract_type": "<string>",
"description": "<string>",
"direction": "<string>",
"endpoint": "<string>",
"error_contract": {},
"event_schema": {},
"id": "<string>",
"notes": "<string>",
"participants": [
"<string>"
],
"protocol": "<string>",
"request_schema": {},
"response_schema": {},
"schema_ref": "<string>"
}
],
"requires_arch_review": false,
"source_design_id": "<string>",
"source_ref": "<string>",
"source_version": 123,
"stale": false
}
'import requests
url = "https://api.example.com/api/v1/specs/{spec_id}/architecture"
payload = {
"global_description": "<string>",
"title": "<string>",
"breaking_change_flag": False,
"diagrams": [
{
"title": "<string>",
"adapter_payload": {},
"adapter_payload_ref": "<string>",
"content_hash": "<string>",
"description": "<string>",
"diagram_type": "other",
"format": "raw",
"id": "<string>",
"order_index": 0,
"preview_ref": "<string>",
"render_metadata": {},
"size_bytes": 123,
"source_diagram_id": "<string>",
"source_payload_ref": "<string>"
}
],
"entities": [
{
"name": "<string>",
"boundaries": "<string>",
"entity_type": "<string>",
"id": "<string>",
"notes": "<string>",
"relationships": ["<string>"],
"responsibility": "<string>",
"technologies": ["<string>"]
}
],
"interfaces": [
{
"name": "<string>",
"contract_type": "<string>",
"description": "<string>",
"direction": "<string>",
"endpoint": "<string>",
"error_contract": {},
"event_schema": {},
"id": "<string>",
"notes": "<string>",
"participants": ["<string>"],
"protocol": "<string>",
"request_schema": {},
"response_schema": {},
"schema_ref": "<string>"
}
],
"requires_arch_review": False,
"source_design_id": "<string>",
"source_ref": "<string>",
"source_version": 123,
"stale": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
global_description: '<string>',
title: '<string>',
breaking_change_flag: false,
diagrams: [
{
title: '<string>',
adapter_payload: {},
adapter_payload_ref: '<string>',
content_hash: '<string>',
description: '<string>',
diagram_type: 'other',
format: 'raw',
id: '<string>',
order_index: 0,
preview_ref: '<string>',
render_metadata: {},
size_bytes: 123,
source_diagram_id: '<string>',
source_payload_ref: '<string>'
}
],
entities: [
{
name: '<string>',
boundaries: '<string>',
entity_type: '<string>',
id: '<string>',
notes: '<string>',
relationships: ['<string>'],
responsibility: '<string>',
technologies: ['<string>']
}
],
interfaces: [
{
name: '<string>',
contract_type: '<string>',
description: '<string>',
direction: '<string>',
endpoint: '<string>',
error_contract: {},
event_schema: {},
id: '<string>',
notes: '<string>',
participants: ['<string>'],
protocol: '<string>',
request_schema: {},
response_schema: {},
schema_ref: '<string>'
}
],
requires_arch_review: false,
source_design_id: '<string>',
source_ref: '<string>',
source_version: 123,
stale: false
})
};
fetch('https://api.example.com/api/v1/specs/{spec_id}/architecture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"board_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"global_description": "<string>",
"id": "<string>",
"parent_id": "<string>",
"parent_type": "ideation",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"breaking_change_flag": false,
"diagrams": [
{
"title": "<string>",
"adapter_payload": {},
"adapter_payload_ref": "<string>",
"content_hash": "<string>",
"description": "<string>",
"diagram_type": "other",
"format": "raw",
"id": "<string>",
"order_index": 0,
"preview_ref": "<string>",
"render_metadata": {},
"size_bytes": 123,
"source_diagram_id": "<string>",
"source_payload_ref": "<string>"
}
],
"entities": [
{
"name": "<string>",
"boundaries": "<string>",
"entity_type": "<string>",
"id": "<string>",
"notes": "<string>",
"relationships": [
"<string>"
],
"responsibility": "<string>",
"technologies": [
"<string>"
]
}
],
"interfaces": [
{
"name": "<string>",
"contract_type": "<string>",
"description": "<string>",
"direction": "<string>",
"endpoint": "<string>",
"error_contract": {},
"event_schema": {},
"id": "<string>",
"notes": "<string>",
"participants": [
"<string>"
],
"protocol": "<string>",
"request_schema": {},
"response_schema": {},
"schema_ref": "<string>"
}
],
"requires_arch_review": false,
"source_design_id": "<string>",
"source_ref": "<string>",
"source_version": 123,
"stale": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}architecture
Create Spec Architecture
POST
/
api
/
v1
/
specs
/
{spec_id}
/
architecture
Create Spec Architecture
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request body for creating an Architecture Design on a parent.
Minimum string length:
1Required string length:
1 - 500Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Full Architecture Design response.
Minimum string length:
1Available options:
ideation, refinement, spec, card Required string length:
1 - 500Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026
⌘I